Skip to main content
`Ctrl`+`K`

# EPSView

Prints the `EPS` data structure.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSView(EPS eps,PetscViewer viewer)

Collective

## Input Parameters

- eps - the linear eigensolver context

- viewer - optional visualization context

## Options Database Key

- -eps_view - calls `EPSView()` at end of `EPSSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCreate()`, `EPSViewFromOptions()`, `STView()`

## Level

beginner

## Location

src/eps/interface/epsview.c

## Implementations

EPSView_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c
EPSView_RQCG() in src/eps/impls/cg/rqcg/rqcg.c
EPSView_CISS() in src/eps/impls/ciss/ciss.c
EPSView_GD() in src/eps/impls/davidson/gd/gd.c
EPSView_JD() in src/eps/impls/davidson/jd/jd.c
EPSView_BLOPEX() in src/eps/impls/external/blopex/blopex.c
EPSView_ChASE() in src/eps/impls/external/chase/chase.c
EPSView_EVSL() in src/eps/impls/external/evsl/evsl.c
EPSView_FEAST() in src/eps/impls/external/feast/feast.c
EPSView_PRIMME() in src/eps/impls/external/primme/primme.c
EPSView_Arnoldi() in src/eps/impls/krylov/arnoldi/arnoldi.c
EPSView_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c
EPSView_Lanczos() in src/eps/impls/krylov/lanczos/lanczos.c
EPSView_LyapII() in src/eps/impls/lyapii/lyapii.c
EPSView_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages